Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaSqlResultSetMapping

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaSqlResultSetMapping

All Implemented Interfaces:
  XMLSerializable

    public class JpaSqlResultSetMapping

extends Object
implements XMLSerializable

Field Summary
`protected Collection<JpaColumnResult>` | `columnResults`
`protected Collection<JpaEntityResult>` | `entityResults`
`protected String` | `name`

Constructor Summary
`JpaSqlResultSetMapping()`
`JpaSqlResultSetMapping(javax.persistence.SqlResultSetMapping annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Collection<JpaColumnResult>` | `getColumnResults()`
`Collection<JpaEntityResult>` | `getEntityResults()`
`String` | `getName()`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### entityResults

    protected Collection<JpaEntityResult> entityResults

### columnResults

    protected Collection<JpaColumnResult> columnResults

Constructor Detail

### JpaSqlResultSetMapping

    public JpaSqlResultSetMapping()

### JpaSqlResultSetMapping

    public JpaSqlResultSetMapping(javax.persistence.SqlResultSetMapping annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getName

    public String getName()

### setName

    public void setName(String name)

### getColumnResults

    public Collection<JpaColumnResult> getColumnResults()

### getEntityResults

    public Collection<JpaEntityResult> getEntityResults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.